# osgUtil::TransformAttributeFunctor Class Reference

Functor for transforming a drawable's vertex and normal attributes by specified matrix. More...

Inheritance diagram for osgUtil::TransformAttributeFunctor:

[legend]
List of all members.

## Public Member Functions

| TransformAttributeFunctor (const osg::Matrix &m)
| Construct a functor to transform a drawable's vertex and normal attributes by specified matrix.
virtual | ~TransformAttributeFunctor ()
virtual void | apply (osg::Drawable::AttributeType type, unsigned int count, osg::Vec3 *begin)
| Do the work of transforming vertex and normal attributes.

## Public Attributes

osg::Matrix | _m
osg::Matrix | _im

## Detailed Description

Functor for transforming a drawable's vertex and normal attributes by specified matrix.

typically used for flattening transform down onto drawable leaves.

## Constructor & Destructor Documentation

TransformAttributeFunctor::TransformAttributeFunctor | ( | const osg::Matrix & | m | ) |

| Construct a functor to transform a drawable's vertex and normal attributes by specified matrix.

TransformAttributeFunctor::~TransformAttributeFunctor | ( |  | ) | `[virtual]`

## Member Function Documentation

void TransformAttributeFunctor::apply | ( | osg::Drawable::AttributeType | type,
|  | unsigned int | count,
|  | osg::Vec3 * | begin
| ) | `[virtual]`

| Do the work of transforming vertex and normal attributes.

## Member Data Documentation

osg::Matrix osgUtil::TransformAttributeFunctor::_im

osg::Matrix osgUtil::TransformAttributeFunctor::_m

The documentation for this class was generated from the following files:

- TransformAttributeFunctor
- TransformAttributeFunctor.cpp